Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.geotiff
Class GeoTiffWriter

    java.lang.Object
      org.deegree.io.geotiff.GeoTiffWriter

    public class GeoTiffWriter

extends Object

This class is for writing GeoTIFF files from any java.awt.image. At that time, only writing the Bounding Box is available.

Since:
  2.0
Version:
  2.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Axel Schaefer , last edited by: $Author: mschneider $

Constructor Summary
`GeoTiffWriter(BufferedImage image, Envelope envelope, double resx, double resy, CoordinateSystem crs)` creates an GeoTiffWriter instance from an java.awt.image.
`GeoTiffWriter(BufferedImage image, Envelope envelope, double resx, double resy, CoordinateSystem crs, double offset, double scaleFactor)` creates an GeoTiffWriter instance from an java.awt.image.

Method Summary
`void` | `write(OutputStream os)` Writes the GeoTIFF as a BufferedImage to an OutputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoTiffWriter

    public GeoTiffWriter(BufferedImage image,
                         Envelope envelope,
                         double resx,
                         double resy,
                         CoordinateSystem crs)

  creates an GeoTiffWriter instance from an java.awt.image.

  Parameters:
    `image` - the image, to be transformed to a GeoTIFF.
    `envelope` - the BoundingBox, the GeoTIFF should have
    `resx` - The X-Resolution
    `resy` - The Y-Resolution
    `crs` -

### GeoTiffWriter

    public GeoTiffWriter(BufferedImage image,
                         Envelope envelope,
                         double resx,
                         double resy,
                         CoordinateSystem crs,
                         double offset,
                         double scaleFactor)

  creates an GeoTiffWriter instance from an java.awt.image.

  Parameters:
    `image` - the image, to be transformed to a GeoTIFF.
    `envelope` - the BoundingBox, the GeoTIFF should have
    `resx` - The X-Resolution
    `resy` - The Y-Resolution
    `crs` -
    `offset` -
    `scaleFactor` -

Method Detail

### write

    public void write(OutputStream os)
               throws IOException

  Writes the GeoTIFF as a BufferedImage to an OutputStream. The OutputStream isn't closed after the method.

  Parameters:
    `os` - the output stream, which has to be written.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org